%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-isprelink
Version:        0.1.2
Release:        2%{?dist}
Summary:        Python module to determine if a file has been prelinked

Group:          Development/Languages
License:        GPL
URL:            http://trac.mcs.anl.gov/projects/bcfg2
Source0:        ftp://ftp.mcs.anl.gov/pub/bcfg/isprelink-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  elfutils-libelf-devel

%description
Python module to determine if a file has been prelinked.

%prep
%setup -q -n isprelink-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{python_sitearch}/*

%changelog
* Fri Jun 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.1.2-2
- Upstream tarball is different from what I was using, adapt.

* Tue Jun 26 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.1.2-1
- First version for Fedora
